﻿using System.Threading.Tasks;
using Volo.Abp.DependencyInjection;

namespace HospitalManagementSystem.Data;

/* This is used if database provider does't define
 * IHospitalManagementSystemDbSchemaMigrator implementation.
 */
public class NullHospitalManagementSystemDbSchemaMigrator : IHospitalManagementSystemDbSchemaMigrator, ITransientDependency
{
    public Task MigrateAsync()
    {
        return Task.CompletedTask;
    }
}
